Bug 708004 - gnome-shell crashes with nVidia NV28GL
gnome-shell crashes with nVidia NV28GL
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-nouveau (Show other bugs)
15
i686 Linux
unspecified Severity unspecified
: ---
: ---
Assigned To: Ben Skeggs
Fedora Extras Quality Assurance
:
: 708661 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-05-26 10:25 EDT by p thompson
Modified: 2012-08-07 11:35 EDT (History)
9 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-08-07 11:35:18 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
strace on gnome-shell (433.87 KB, application/octet-stream)
2011-05-26 10:25 EDT, p thompson
no flags Details
dmesg output (61.52 KB, text/plain)
2011-05-26 14:43 EDT, p thompson
no flags Details
Xorg.0.log (33.70 KB, text/plain)
2011-05-26 14:47 EDT, p thompson
no flags Details
Xorg.0.log.old (44.33 KB, application/octet-stream)
2011-05-26 14:47 EDT, p thompson
no flags Details

  None (edit)
Description p thompson 2011-05-26 10:25:07 EDT
Created attachment 501111 [details]
strace on gnome-shell

Description of problem:

gnome-shell crashes with uh-oh
architecture:   i686
cmdline:        /usr/bin/gnome-shell
component:      gnome-shell
executable:     /usr/bin/gnome-shell
kernel:         2.6.38.6-27.fc15.i686.PAE
os_release:     Fedora release 15 (Lovelock)
package:        gnome-shell-3.0.1-4.fc15
reason:         Process /usr/bin/gnome-shell was killed by signal 11 (SIGSEGV)
time:           Thu May 26 08:57:16 2011
uid:            501
username:       test

01:00.0 VGA compatible controller: nVidia Corporation NV28GL [Quadro4 980 XGL] (rev a1)

How reproducible:
Every time- unable to log in to gui

  
Actual results:


Expected results:


Additional info:

gdm greeter log:

Gtk-Message: Failed to load module "pk-gtk-module"

(gnome-settings-daemon:21311): Gtk-WARNING **: gtk_window_set_wmclass: shouldn't set wmclass after window is realized!


(gnome-settings-daemon:21311): Gtk-CRITICAL **: gtk_cairo_should_draw_window: assertion `GDK_IS_WINDOW (window)' failed
** (process:21377): DEBUG: Greeter session pid=21377 display=:0 xauthority=/var/run/gdm/auth-for-gdm-rDrSHj/database
Gtk-Message: Failed to load module "pk-gtk-module"
Gtk-Message: Failed to load module "pk-gtk-module"
Gtk-Message: Failed to load module "pk-gtk-module"
Failed to play sound: File or data not found
gdm-simple-greeter[21377]: Gtk-WARNING: gtkwidget.c:6794: widget not within a GtkWindow
gdm-simple-greeter[21377]: Gtk-WARNING: gtk_widget_size_allocate(): attempt to allocate widget with width -47 and height -47
Window manager warning: Buggy client sent a _NET_ACTIVE_WINDOW message with a timestamp of 0 for 0x1400007 (Login Wind)
Window manager warning: meta_window_activate called by a pager with a 0 timestamp; the pager needs to be fixed.
Window manager warning: Buggy client sent a _NET_ACTIVE_WINDOW message with a timestamp of 0 for 0x1400007 (Login Wind)
Window manager warning: meta_window_activate called by a pager with a 0 timestamp; the pager needs to be fixed.

/var/log/messages

May 26 08:56:54 perelandra kernel: [44396.713087] [drm] nouveau 0000:01:00.0: Setting dpms mode 0 on vga encoder (output 1)
May 26 08:56:58 perelandra dbus: [system] Activating service name='net.reactivated.Fprint' (using servicehelper)
May 26 08:56:58 perelandra dbus: [system] Successfully activated service 'net.reactivated.Fprint'
May 26 08:57:04 perelandra pulseaudio[1633]: alsa-sink.c: ALSA woke us up to write new data to the device, but there was actually nothing to write!
May 26 08:57:04 perelandra pulseaudio[1633]: alsa-sink.c: Most likely this is a bug in the ALSA driver 'snd_intel8x0'. Please report this issue to the ALSA developers.
May 26 08:57:04 perelandra pulseaudio[1633]: alsa-sink.c: We were woken up with POLLOUT set -- however a subsequent snd_pcm_avail() returned 0 or another value < min_avail.
May 26 13:57:11 perelandra rtkit-daemon[1634]: Successfully made thread 20937 of process 20937 (/usr/bin/pulseaudio) owned by '501' high priority at nice level -11.
May 26 13:57:11 perelandra rtkit-daemon[1634]: Successfully made thread 20952 of process 20937 (/usr/bin/pulseaudio) owned by '501' RT at priority 5.
May 26 13:57:12 perelandra rtkit-daemon[1634]: Successfully made thread 20953 of process 20937 (/usr/bin/pulseaudio) owned by '501' RT at priority 5.
May 26 08:57:13 perelandra dbus: [system] Activating service name='org.freedesktop.PackageKit' (using servicehelper)
May 26 08:57:14 perelandra dbus: [system] Successfully activated service 'org.freedesktop.PackageKit'
May 26 08:57:16 perelandra gnome-session[20757]: WARNING: Application 'gnome-shell.desktop' killed by signal
May 26 08:57:16 perelandra abrt[21097]: saved core dump of pid 21020 (/usr/bin/gnome-shell) to /var/spool/abrt/ccpp-2011-05-26-08:57:16-21020.new/coredump (61440 bytes)
May 26 08:57:16 perelandra abrtd: Directory 'ccpp-2011-05-26-08:57:16-21020' creation detected
May 26 08:57:19 perelandra abrt[21126]: not dumping repeating crash in '/usr/bin/gnome-shell'
May 26 08:57:19 perelandra gnome-session[20757]: WARNING: App 'gnome-shell.desktop' respawning too quickly
May 26 08:57:19 perelandra gnome-session[20757]: WARNING: Application 'gnome-shell.desktop' killed by signal
May 26 08:57:21 perelandra abrtd: New dump directory /var/spool/abrt/ccpp-2011-05-26-08:57:16-21020, processing
May 26 08:57:29 perelandra kernel: [44431.493745] [drm:drm_debugfs_create_files] *ERROR* Cannot create /sys/kernel/debug/dri/ÿÿÿÿ¤<9D>Ôî©<94>]À^B/2
May 26 08:57:30 perelandra gdm-simple-greeter[21377]: Gtk-WARNING: gtkwidget.c:6794: widget not within a GtkWindow
May 26 08:57:30 perelandra gdm-simple-greeter[21377]: Gtk-WARNING: gtk_widget_size_allocate(): attempt to allocate widget with width -47 and height -47
May 26 09:07:35 perelandra kernel: [45037.745827] [drm] nouveau 0000:01:00.0: Setting dpms mode 3 on vga encoder (output 1)
Comment 1 Owen Taylor 2011-05-26 13:33:30 EDT
Assigning to ddx driver though presumably a Mesa bug.

Please attach the output of dmesg and /var/log/Xorg.0.log as attachments.
Comment 2 p thompson 2011-05-26 14:43:42 EDT
Created attachment 501169 [details]
dmesg output
Comment 3 p thompson 2011-05-26 14:47:08 EDT
Created attachment 501170 [details]
Xorg.0.log
Comment 4 p thompson 2011-05-26 14:47:31 EDT
Created attachment 501171 [details]
Xorg.0.log.old
Comment 5 Ben Skeggs 2011-05-29 19:42:42 EDT
*** Bug 708661 has been marked as a duplicate of this bug. ***
Comment 6 p thompson 2011-06-03 08:56:04 EDT
recent updates testing:
xorg-x11-server-common-1.10.2-1.fc15.i686
xorg-x11-drv-evdev-2.6.0-4.fc15.i686
gdm-3.0.4-1.fc15.i686
kernel-PAE-2.6.38.7-30.fc15.i686

Now display seems to stay up but crash in
Jun  3 07:28:11 perelandra kernel: [   70.134202] compiz[2255]: segfault at cdc ip 00f07cb0 sp bfa089ec error 4 in nouveau_vieux_dri.so[ea7000+338000]
Comment 7 p thompson 2011-07-09 21:54:59 EDT
recent updates testing:
gdm-3.0.4-1.fc15.i686
xorg-x11-drv-nouveau-0.0.16-24.20110324git8378443.fc15.i686
kernel-PAE-2.6.38.8-32.fc15.i686
xorg-x11-server-common-1.10.2-1.fc15.i686

Display operates for a period of time but eventually crashes:
Jul  9 20:15:17 perelandra kernel: [43495.541676] [drm] nouveau 0000:01:00.0: PGRAPH - ERROR nsource: ILLEGAL_MTHD nstatus: PROTECTION_FAULT
Jul  9 20:15:17 perelandra kernel: [43495.541695] [drm] nouveau 0000:01:00.0: PGRAPH - ch 2/6 class 0x0597 mthd 0x1b18 data 0x0004caa4
Jul  9 20:15:17 perelandra kernel: [43495.541705] [drm] nouveau 0000:01:00.0: PGRAPH - ERROR nsource: ILLEGAL_MTHD nstatus: PROTECTION_FAULT
Jul  9 20:15:17 perelandra kernel: [43495.541717] [drm] nouveau 0000:01:00.0: PGRAPH - ch 2/6 class 0x0597 mthd 0x1b28 data 0x0004de44
Jul  9 20:15:17 perelandra kernel: [43495.541726] [drm] nouveau 0000:01:00.0: PGRAPH - ERROR nsource: ILLEGAL_MTHD nstatus: PROTECTION_FAULT
Jul  9 20:15:17 perelandra kernel: [43495.541738] [drm] nouveau 0000:01:00.0: PGRAPH - ch 2/6 class 0x0597 mthd 0x1b2c data 0x00000000
Jul  9 20:15:17 perelandra kernel: [43495.541747] [drm] nouveau 0000:01:00.0: PGRAPH - ERROR nsource: ILLEGAL_MTHD nstatus: PROTECTION_FAULT
Jul  9 20:15:17 perelandra kernel: [43495.541760] [drm] nouveau 0000:01:00.0: PGRAPH - ch 2/6 class 0x0597 mthd 0x1b30 data 0x0004ca64
Jul  9 20:15:17 perelandra kernel: [43495.541768] [drm] nouveau 0000:01:00.0: PGRAPH - ERROR nsource: ILLEGAL_MTHD nstatus: PROTECTION_FAULT
Jul  9 20:15:17 perelandra kernel: [43495.541780] [drm] nouveau 0000:01:00.0: PGRAPH - ch 2/6 class 0x0597 mthd 0x1b34 data 0x00000000
Jul  9 20:15:17 perelandra kernel: [43495.541789] [drm] nouveau 0000:01:00.0: PGRAPH - ERROR nsource: ILLEGAL_MTHD nstatus: PROTECTION_FAULT
Jul  9 20:15:17 perelandra kernel: [43495.541803] [drm] nouveau 0000:01:00.0: PGRAPH - ch 2/6 class 0x0597 mthd 0x1b38 data 0x0008c288
Jul  9 20:15:17 perelandra kernel: [43495.541811] [drm] nouveau 0000:01:00.0: PGRAPH - ERROR nsource: ILLEGAL_MTHD nstatus: PROTECTION_FAULT
Jul  9 20:15:17 perelandra kernel: [43495.541825] [drm] nouveau 0000:01:00.0: PGRAPH - ch 2/6 class 0x0597 mthd 0x1b3c data 0x200c2000
Jul  9 20:15:17 perelandra kernel: [43495.541833] [drm] nouveau 0000:01:00.0: PGRAPH - ERROR nsource: ILLEGAL_MTHD nstatus: PROTECTION_FAULT
Jul  9 20:15:17 perelandra kernel: [43495.541844] [drm] nouveau 0000:01:00.0: PGRAPH - ch 2/6 class 0x0597 mthd 0x1b58 data 0x02a5c000
Jul  9 20:15:17 perelandra kernel: [43495.541853] [drm] nouveau 0000:01:00.0: PGRAPH - ERROR nsource: ILLEGAL_MTHD nstatus: PROTECTION_FAULT
Jul  9 20:15:17 perelandra kernel: [43495.541866] [drm] nouveau 0000:01:00.0: PGRAPH - ch 2/6 class 0x0597 mthd 0x1b98 data 0x00000002
Jul  9 20:15:17 perelandra kernel: [43495.541874] [drm] nouveau 0000:01:00.0: PGRAPH - ERROR nsource: ILLEGAL_MTHD nstatus: PROTECTION_FAULT
Jul  9 20:15:17 perelandra kernel: [43495.541888] [drm] nouveau 0000:01:00.0: PGRAPH - ch 2/6 class 0x0597 mthd 0x1bd8 data 0x00000002
Jul  9 20:15:17 perelandra kernel: [43495.541897] [drm] nouveau 0000:01:00.0: PGRAPH - ERROR nsource: ILLEGAL_MTHD nstatus: PROTECTION_FAULT
Jul  9 20:15:17 perelandra kernel: [43495.541909] [drm] nouveau 0000:01:00.0: PGRAPH - ch 2/6 class 0x0597 mthd 0x1c00 data 0x00000002
Jul  9 20:15:17 perelandra kernel: [43495.541918] [drm] nouveau 0000:01:00.0: PGRAPH - ERROR nsource: ILLEGAL_MTHD nstatus: PROTECTION_FAULT
Jul  9 20:15:17 perelandra kernel: [43495.541931] [drm] nouveau 0000:01:00.0: PGRAPH - ch 2/6 class 0x0597 mthd 0x1c04 data 0x0004d710
Jul  9 20:15:17 perelandra kernel: [43495.541939] [drm] nouveau 0000:01:00.0: PGRAPH - ERROR nsource: ILLEGAL_MTHD nstatus: PROTECTION_FAULT
Jul  9 20:15:17 perelandra kernel: [43495.541952] [drm] nouveau 0000:01:00.0: PGRAPH - ch 2/6 class 0x0597 mthd 0x1c08 data 0x00000000
Jul  9 20:15:17 perelandra kernel: [43495.541961] [drm] nouveau 0000:01:00.0: PGRAPH - ERROR nsource: ILLEGAL_MTHD nstatus: PROTECTION_FAULT
Jul  9 20:15:17 perelandra kernel: [43495.541973] [drm] nouveau 0000:01:00.0: PGRAPH - ch 2/6 class 0x0597 mthd 0x1c0c data 0x0004d7fc
Jul  9 20:15:17 perelandra kernel: [43495.541981] [drm] nouveau 0000:01:00.0: PGRAPH - ERROR nsource: ILLEGAL_MTHD nstatus: PROTECTION_FAULT
Jul  9 20:15:17 perelandra kernel: [43495.541994] [drm] nouveau 0000:01:00.0: PGRAPH - ch 2/6 class 0x0597 mthd 0x1c10 data 0x00000008
Jul  9 20:15:17 perelandra kernel: [43495.542004] [drm] nouveau 0000:01:00.0: 
Jul  9 20:15:17 perelandra kernel: [43495.542015] [drm] nouveau 0000:01:00.0: PGRAPH - ch 2/6 class 0x0597 mthd 0x1c14 data 0x4004d810
Jul  9 20:15:17 perelandra kernel: [43495.542015] [drm] nouveau 0000:01:00.0: PGRAPH - ERROR nsource: ILLEGAL_MTHD nstatus: PROTECTION_FAULT
Jul  9 20:15:17 perelandra kernel: [43495.542015] [drm] nouveau 0000:01:00.0: PGRAPH - ch 2/6 class 0x0597 mthd 0x1c18 data 0x03000004
Jul  9 20:15:17 perelandra kernel: [43495.542015] [drm] nouveau 0000:01:00.0: PGRAPH - ERROR nsource: ILLEGAL_MTHD nstatus: PROTECTION_FAULT
Jul  9 20:15:17 perelandra kernel: [43495.542015] [drm] nouveau 0000:01:00.0: PGRAPH - ch 2/6 class 0x0597 mthd 0x1c1c data 0x0004d7fc
Jul  9 20:15:17 perelandra kernel: [43495.542015] [drm] nouveau 0000:01:00.0: PGRAPH - ERROR nsource: ILLEGAL_MTHD nstatus: PROTECTION_FAULT
Jul  9 20:15:17 perelandra kernel: [43495.542015] [drm] nouveau 0000:01:00.0: PGRAPH - ch 2/6 class 0x0597 mthd 0x1c20 data 0x00000000
Jul  9 20:15:17 perelandra kernel: [43495.542015] [drm] nouveau 0000:01:00.0: PGRAPH - ERROR nsource: ILLEGAL_MTHD nstatus: PROTECTION_FAULT
Jul  9 20:15:17 perelandra kernel: [43495.542015] [drm] nouveau 0000:01:00.0: PGRAPH - ch 2/6 class 0x0597 mthd 0x1c24 data 0x00020000
Jul  9 20:15:17 perelandra kernel: [43495.543205] [drm] nouveau 0000:01:00.0: PFIFO_DMA_PUSHER - Ch 2 Get 0x01795030 Put 0x0163e3fc State 0x4698c004 (err: INVALID_MTHD) Push 0x00000000
Jul  9 20:15:21 perelandra kernel: [43497.185028] [drm] nouveau 0000:01:00.0: PGRAPH idle timed out with status 0x40000109
Jul  9 20:19:30 perelandra kernel: [43749.018351] [drm] nouveau 0000:01:00.0: GPU lockup - switching to software fbcon
Comment 8 Fedora End Of Life 2012-08-07 11:35:22 EDT
This message is a notice that Fedora 15 is now at end of life. Fedora
has stopped maintaining and issuing updates for Fedora 15. It is
Fedora's policy to close all bug reports from releases that are no
longer maintained. At this time, all open bugs with a Fedora 'version'
of '15' have been closed as WONTFIX.

(Please note: Our normal process is to give advanced warning of this
occurring, but we forgot to do that. A thousand apologies.)

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, feel free to reopen
this bug and simply change the 'version' to a later Fedora version.

Bug Reporter: Thank you for reporting this issue and we are sorry that
we were unable to fix it before Fedora 15 reached end of life. If you
would still like to see this bug fixed and are able to reproduce it
against a later version of Fedora, you are encouraged to click on
"Clone This Bug" (top right of this page) and open it against that
version of Fedora.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

The process we are following is described here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Note You need to log in before you can comment on or make changes to this bug.